aboutsummaryrefslogtreecommitdiffhomepage
path: root/test.sh
diff options
context:
space:
mode:
authorGravatar Paul Beusterien <paulbeusterien@google.com>2017-05-15 12:27:07 -0700
committerGravatar Paul Beusterien <paulbeusterien@google.com>2017-05-15 12:27:07 -0700
commit98ba64449a632518bd2b86fe8d927f4a960d3ddc (patch)
tree131d9c4272fa6179fcda6c5a33fcb3b1bd57ad2e /test.sh
parent32461366c9e204a527ca05e6e9b9404a2454ac51 (diff)
Initial
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..a093ddf
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+# Copyright 2017 Google
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+# http://www.apache.org/licenses/LICENSE-2.0
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eo pipefail
+
+EXIT_STATUS=0
+
+(xcodebuild \
+ -workspace Example/Firebase.xcworkspace \
+ -scheme AllTests \
+ -sdk iphonesimulator \
+ -destination 'platform=iOS Simulator,name=iPhone 7' \
+ build \
+ test \
+ ONLY_ACTIVE_ARCH=YES \
+ CODE_SIGNING_REQUIRED=NO \
+ | xcpretty) || EXIT_STATUS=$?
+
+ exit $EXIT_STATUS